/*header*/
:root {
    --navbar-fontsize: 1.5rem;
    --navbar-height: 8rem;
    --navbar-padding-top: 2.15rem;
    --navbar-padding-bottom: 0.85rem;
    --navbar-background-color: hsl(230 32% 14%);
    --background-color-footer: hsl(0 0% 5%);
}

.top-navbar {
    width: 100%;
    background: var(--navbar-background-color);
    color: hsl(0 0% 100%);
    display: flex;
    align-items: center;
    justify-content: space-between;
    padding-inline: 2rem;
    height: var(--navbar-height);
}

.logo-chevron {
    font-weight: 600;
    font-size: calc(var(--navbar-fontsize) * 2);
    color: hsl(0 0% 100%);
    letter-spacing: 1px;
    width: 360px;
}

.top-navbar-nav {
    flex: 1;
    display: flex;
    align-items: center;
    justify-content: flex-end;
}

.top-navbar-nav ul {
    list-style: none;
    display: flex;
    align-items: center;
}


.top-navbar-link,
.top-navbar-submenu li {
    display: block;
    padding: 0 1.5rem;
    color: hsl(0 0% 100%);
    font-weight: 600;
    text-decoration: none;
    font-size: var(--navbar-fontsize);
    height: calc(var(--navbar-height) / 2);
    line-height: calc(var(--navbar-height) / 2);
    transition: background 0.2s, color 0.2s;
    position: relative;
    text-align: center;
    z-index: 2;
}

.top-navbar-link:hover,
.top-navbar-submenu li:hover {
    background-color: hsl(230 32% 19%);
    color: hsl(0 0% 90%);
}

.top-navbar-submenu li {
    background-color: var(--navbar-background-color);
    width: calc(var(--navbar-fontsize) * 11.25);
}


.top-navbar-dropdown {
    position: relative;
    display: flex;
    flex-direction: column;
    cursor: pointer;
}

.top-navbar-submenu {
    display: none !important;
    position: absolute;
    top: 100%;
    left: 0;
    height: calc(var(--navbar-height) / 2);
    z-index: 2100;
    flex-direction: column;
    padding: 0.5rem 0;
    width: 100%;
}

.top-navbar-submenu li {
    padding: 0;
}

.quotes {
    background-color: hsl(200 100% 50%);
    color: var(--navbar-background-color);
    transform: scale(0.9);
}

.quotes:hover {
    background-color: hsl(200 100% 70%);
}

/* Desktop Style */
@media (min-width: 1200px) {
    .mobile-only {
        display: none;
    }

    .top-navbar-dropdown:hover .top-navbar-submenu {
        display: flex !important;
    }

    .top-navbar-logo,
    .logo-chevron {
        height: calc(var(--navbar-height) / 2);
        line-height: calc(var(--navbar-height) / 2);
    }

    .top-navbar-nav ul li {
        padding-block: var(--navbar-padding-top) var(--navbar-padding-bottom);
    }

    .top-navbar-dropdown ul li {
        padding-block: 0;
    }
}

/* Mobile Styles */
@media (max-width: 1199px) {
    .mobile-only {
        display: block;
    }

    .top-navbar-nav ul {
        display: none;
    }

    .top-navbar-nav ul.is-visible {
        display: block;
    }


    .logo-chevron {
        display: flex;
        justify-content: flex-end;
        cursor: pointer;
        padding: 1rem 2rem;
        font-size: calc(var(--navbar-fontsize) * 1.6);
    }

    .logo-chevron:hover {
        background-color: hsl(230 32% 19%);
        color: hsl(0 0% 90%);
    }

    .top-navbar-link,
    .top-navbar-submenu li {
        font-size: var(--navbar-fontsize);

    }

    .top-navbar-nav ul {
        flex-direction: column;
        width: 100%;
    }


    .top-navbar-link {
        padding: 1rem 1.5rem;
        height: auto;
        line-height: 1.5;
    }

    .top-navbar-submenu {
        display: none;
    }

    .top-navbar-submenu.show {
        display: flex !important;
    }

    .top-navbar-submenu.show li {
        border: 1px solid hsl(0 0% 100%);
        background-color: var(--navbar-background-color);
        height: calc(var(--navbar-fontsize) * 11.25);
    }

    .top-navbar {
        flex-direction: column;
        height: auto;
        padding: 2rem;
    }
}

/* footer */
footer {
    background-color: var(--background-color-footer);
    color: hsl(0 0% 100%);
    text-align: center;
    padding: 80px 0;
}

footer .success-message h3,
footer .success-message p {
    color: hsl(0 0% 100%) !important;
}

#message {
    min-width: 360px;
    min-height: 76px;
    margin-bottom: 10px;
}

/*reset*/
*,
*::before,
*::after {
    box-sizing: border-box;
    margin: 0;
    padding: 0;
}

img {
    display: block;
    max-width: 100%;
    height: auto;
}

html {
    scroll-behavior: smooth;
}

input,
textarea,
select {
    font-size: 16px;
}

/*typography*/
@font-face {
    font-family: "Inter";
    src: url("../font/inter-latin-400-normal.woff2") format("woff2");
    font-style: normal;
    font-weight: 400;
    font-display: swap;
}

@font-face {
    font-family: "Inter";
    src: url("../font/inter-latin-600-normal.woff2") format("woff2");
    font-style: normal;
    font-weight: 600;
    font-display: swap;
}

h1,
h2,
h3,
h4,
h5,
h6 {
    font-family: var(--font-heading);
    color: var(--text-header);
    font-weight: 600;
}

body {
    background-color: var(--background-color);
    font-family: var(--font-body);
    color: var(--text-body);
    font-size: 1rem;
    font-weight: 400;
    line-height: 1.5;
}

h1 {
    font-size: 2rem;
    line-height: 1.2;
    letter-spacing: -0.02em;
}

h2 {
    font-size: 1.75rem;
    line-height: 1.25;
    letter-spacing: -0.01em;
}

h3 {
    font-size: 1.5rem;
    line-height: 1.3;
}

h4 {
    font-size: 1.25rem;
    line-height: 1.4;
}

h5 {
    font-size: 1rem;
}

h6 {
    font-size: 1rem;
}

p {
    max-width: 65ch;
}

a {
    text-decoration: none;
}

li {
    list-style: none;
}

.strong {
    font-weight: 600;
}

.text-inverted {
    color: var(--text-inverted);
}

/*variables*/
:root {
    /* Color Variables */
    --text-header: hsl(0 0% 0%);
    --text-body: hsl(0 0% 15%);
    --text-inverted: hsl(0 0% 95%);
    --text-button: hsl(0 0% 100%);
    --text-button-hover: hsl(225 100% 50%);
    --background-button: hsl(225 100% 50%);
    --background-button-hover: hsl(0 0% 100%);
    --background-color: hsl(0 0% 95%);
    --background-color-inverted: hsl(0 0% 5%);

    /* Spacing */
    --space-xs: 0.5rem;
    --space-sm: 1rem;
    --space-md: 2rem;
    --space-lg: 4rem;
    --space-xl: 8rem;

    /* Typography */
    --font-body: "Inter", sans-serif;
    --font-heading: "Inter", sans-serif;
}

/*
@media (prefers-color-scheme: dark) {
    :root {
        --text-header: hsl(0 0% 100%);
        --text-body: hsl(0 0% 85%);
        --text-button: hsl(0 0% 100%);
        --text-button-hover: hsl(225 100% 50%);
        --background-button: hsl(225 100% 50%);
        --background-button-hover: hsl(0 0% 100%);
    }
}
*/
/*layout*/
.grid {
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(min(280px, 100%), 1fr));
    gap: 1rem;
}

.flex-row {
    display: flex;
    flex-wrap: wrap;
}

.flex-col {
    display: flex;
    flex-direction: column;
}

.grow {
    flex-grow: 1;
}

.center {
    justify-content: center;
    align-items: center;
}

.container {
    max-width: 1200px;
    margin: 0 auto;
    padding: 0 2rem;
}

.margin-center {
    margin: 0 auto;
}

.just-top {
    justify-content: flex-start;
}

.align-top {
    align-items: start;
}

.pad-top-xs {
    padding-top: var(--space-xs);
}

.pad-top-sm {
    padding-top: var(--space-sm);
}

.pad-top-md {
    padding-top: var(--space-md);
}

.pad-top-lg {
    padding-top: var(--space-lg);
}

.pad-top-xl {
    padding-top: var(--space-xl);
}

.pad-xs {
    padding: var(--space-xs);
}

.pad-sm {
    padding: var(--space-sm);
}

.pad-md {
    padding: var(--space-md);
}

.pad-lg {
    padding: var(--space-lg);
}

.pad-xl {
    padding: var(--space-xl);
}

.pad-side-xs {
    padding: 0 var(--space-xs);
}

.pad-side-sm {
    padding: 0 var(--space-sm);
}

.pad-side-md {
    padding: 0 var(--space-md);
}

.pad-side-lg {
    padding: 0 var(--space-lg);
}

.pad-side-xl {
    padding: 0 var(--space-xl);
}

.pad-top-btm-xl {
    padding: var(--space-xl) 0;
}

.gap-xs {
    gap: var(--space-xs);
}

.gap-sm {
    gap: var(--space-sm);
}

.gap-md {
    gap: var(--space-md);
}

.gap-lg {
    gap: var(--space-lg);
}

.margin-bottom-xs {
    margin-bottom: var(--space-xs);
}

.margin-bottom-sm {
    margin-bottom: var(--space-sm);
}

.margin-bottom-md {
    margin-bottom: var(--space-md);
}

.margin-bottom-lg {
    margin-bottom: var(--space-lg);
}

.margin-bottom-xl {
    margin-bottom: var(--space-xl);
}

.vh-max {
    height: 100vh;
}

@media (max-width: 1231px) {
    .pad-top-xl {
        padding-top: 6rem;
    }
}

.text-center {
    text-align: center;
}

.block {
    display: block;
}

.visually-hidden {
    position: absolute;
    width: 1px;
    height: 1px;
    padding: 0;
    margin: -1px;
    overflow: hidden;
    clip: rect(0, 0, 0, 0);
    white-space: nowrap;
    border: 0;
}

.sr-only {
    position: absolute;
    width: 1px;
    height: 1px;
    padding: 0;
    margin: -1px;
    overflow: hidden;
    clip: rect(0, 0, 0, 0);
    border: 0;
}